## Index

### Classes

- ControlledRadioGroup
- ControlledSlider
- DialogComponent
- DrawerLayoutComponent

### Interfaces

- DrawerLayoutState
- Ipropsss
- Props

### Type aliases

- DrawerLayoutPropsInternal

### Variables

- Badge
- BottomNavigationAction
- Button
- CardActions
- CardContent
- CardCover
- CardHeader
- Checkbox
- Dialog
- DialogAction
- DialogContent
- DialogTitle
- Divider
- DrawerContext
- DrawerLayout
- DrawerSection
- IconButton
- Image
- List
- ListAvatar
- ListSubheader
- Menu
- MenuItem
- Radio
- RadioGroup
- Slider
- Switch
- TextInput
- View
- createElement
- forwardRef
- generateClassName
- id
- jss
- path
- rows
- stories

### Functions

- Avatar
- Card
- DrawerActions
- DrawerContent
- DrawerItem
- ListIcon
- ListItem
- MenuText
- Picker
- PickerItem
- RecipeReviewCard
- SimpleDialog
- SimpleDialogDemo
- SimpleMenu
- SimpleTable
- Tab
- Table
- TableBody
- TableCell
- TableFooter
- TableHead
- TablePagination
- TableRow
- TableTitle
- Tabs
- TabsComponent
- createData
- getTabUI
- getTabsUI
- navigationView
- styles
- tab3Styles
- tabStyles
- tabsStyles
- withPropsStyles
- withRTL
- withTheme

### Object literals

- fieldMap
- map

## Type aliases

### DrawerLayoutPropsInternal

DrawerLayoutPropsInternal: DrawerLayoutProps & object

- Defined in components/DrawerLayout/DrawerLayout.tsx:13

## Variables

### Const Badge

Badge: ComponentClass<BadgeProps, any> | FunctionComponent<BadgeProps> = componentMapper<BadgeProps>(MUIBadge,{badgeContent: ({ children }: any) => children,color: () => {return 'error';},},{ rest: true, ignore: ['children'] })

- Defined in components/Badge/Badge.ts:5

### Const BottomNavigationAction

BottomNavigationAction: ComponentClass<BottomNavigationActionProps, any> | FunctionComponent<BottomNavigationActionProps> = componentMapper<BottomNavigationActionProps>(MuiBottomNavigationAction, {icon: ({ icon }) => {if (!icon) {return;}const size = icon.size || 24;const props = {size,style: {lineHeight: size,...icon.style,},...icon,};return React.createElement(DynamicIcon, props);}}, {rest: true})

- Defined in components/BottomNavigationAction/BottomNavigationAction.tsx:6

### Const Button

Button: object = getComponent<ButtonProps>('Button')

- Defined in components/Button/Button.tsx:14
- Defined in components/Dialog/_stories_/Dialogs.stories.tsx:29
- Defined in components/Menu/_stories_/Menu.stories.tsx:10

#### Type declaration

- ##### constructor: function

  - new __type(props: Readonly<any>): object
  - new __type(props: any, context?: any): object
  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:13

    #### Parameters

    - ##### props: Readonly<any>

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:16

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:20

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:17

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:19

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:28

    #### Parameters

    - ##### props: any

    - ##### Optional context: any

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:31

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:35

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:32

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:34

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

- ##### contextType: Context<BlueBase>

- ##### displayName: string

### Const CardActions

CardActions: object = getComponent<CardActionsProps>('CardActions')

- Defined in components/Card/_stories_/Card.stories.tsx:21
- Defined in components/CardActions/_stories_/CardAction.stories.tsx:14

#### Type declaration

- ##### constructor: function

  - new __type(props: Readonly<any>): object
  - new __type(props: any, context?: any): object
  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:13

    #### Parameters

    - ##### props: Readonly<any>

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:16

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:20

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:17

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:19

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:28

    #### Parameters

    - ##### props: any

    - ##### Optional context: any

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:31

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:35

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:32

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:34

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

- ##### contextType: Context<BlueBase>

- ##### displayName: string

### Const CardContent

CardContent: object = getComponent<CardContentProps>('CardContent')

- Defined in components/Card/_stories_/Card.stories.tsx:20
- Defined in components/CardContent/_stories_/CardContent.stories.tsx:10

#### Type declaration

- ##### constructor: function

  - new __type(props: Readonly<any>): object
  - new __type(props: any, context?: any): object
  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:13

    #### Parameters

    - ##### props: Readonly<any>

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:16

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:20

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:17

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:19

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:28

    #### Parameters

    - ##### props: any

    - ##### Optional context: any

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:31

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:35

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:32

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:34

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

- ##### contextType: Context<BlueBase>

- ##### displayName: string

### Const CardCover

CardCover: object = getComponent<CardCoverProps>('CardCover')

- Defined in components/Card/_stories_/Card.stories.tsx:19
- Defined in components/CardCover/_stories_/CardCover.stories.tsx:10

#### Type declaration

- ##### constructor: function

  - new __type(props: Readonly<any>): object
  - new __type(props: any, context?: any): object
  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:13

    #### Parameters

    - ##### props: Readonly<any>

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:16

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:20

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:17

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:19

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:28

    #### Parameters

    - ##### props: any

    - ##### Optional context: any

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:31

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:35

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:32

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:34

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

- ##### contextType: Context<BlueBase>

- ##### displayName: string

### Const CardHeader

CardHeader: object = getComponent<CardHeaderProps>('CardHeader')

- Defined in components/CardHeader/index.tsx:5
- Defined in components/Card/_stories_/Card.stories.tsx:22
- Defined in components/CardHeader/_stories_/CardHeader.stories.tsx:14

#### Type declaration

- ##### constructor: function

  - new __type(props: Readonly<any>): object
  - new __type(props: any, context?: any): object
  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:13

    #### Parameters

    - ##### props: Readonly<any>

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:16

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:20

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:17

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:19

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:28

    #### Parameters

    - ##### props: any

    - ##### Optional context: any

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:31

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:35

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:32

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:34

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

- ##### contextType: Context<BlueBase>

- ##### displayName: string

### Const Checkbox

Checkbox: object = getComponent<CheckboxProps>('Checkbox')

- Defined in components/Checkbox/Checkbox.tsx:59
- Defined in components/Checkbox/__stories__/Checkbox.stories.tsx:11

#### Type declaration

- ##### constructor: function

  - new __type(props: Readonly<any>): object
  - new __type(props: any, context?: any): object
  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:13

    #### Parameters

    - ##### props: Readonly<any>

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:16

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:20

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:17

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:19

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:28

    #### Parameters

    - ##### props: any

    - ##### Optional context: any

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:31

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:35

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:32

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:34

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

- ##### contextType: Context<BlueBase>

- ##### displayName: string

### Const Dialog

Dialog: object = getComponent('Dialog')

- Defined in components/Dialog/index.tsx:5
- Defined in components/Dialog/_stories_/Dialogs.stories.tsx:25

#### Type declaration

- ##### constructor: function

  - new __type(props: Readonly<any>): object
  - new __type(props: any, context?: any): object
  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:13

    #### Parameters

    - ##### props: Readonly<any>

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:16

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:20

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:17

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:19

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:28

    #### Parameters

    - ##### props: any

    - ##### Optional context: any

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:31

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:35

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:32

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:34

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

- ##### contextType: Context<BlueBase>

- ##### displayName: string

### Const DialogAction

DialogAction: object = getComponent<DialogActionsProps>('DialogActions')

- Defined in components/Dialog/_stories_/Dialogcomponent.test.tsx:50
- Defined in components/Dialog/_stories_/Dialogs.stories.tsx:32
- Defined in components/DialogAction/_stories_/DialogAction.stories.tsx:10

#### Type declaration

- ##### constructor: function

  - new __type(props: Readonly<any>): object
  - new __type(props: any, context?: any): object
  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:13

    #### Parameters

    - ##### props: Readonly<any>

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:16

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:20

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:17

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:19

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:28

    #### Parameters

    - ##### props: any

    - ##### Optional context: any

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:31

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:35

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:32

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:34

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

- ##### contextType: Context<BlueBase>

- ##### displayName: string

### Const DialogContent

DialogContent: object = getComponent<DialogContentProps>('DialogContent')

- Defined in components/Dialog/_stories_/Dialogcomponent.test.tsx:51
- Defined in components/DialogContent/_stories_/DialogContent.stories.tsx:10

#### Type declaration

- ##### constructor: function

  - new __type(props: Readonly<any>): object
  - new __type(props: any, context?: any): object
  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:13

    #### Parameters

    - ##### props: Readonly<any>

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:16

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:20

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:17

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:19

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:28

    #### Parameters

    - ##### props: any

    - ##### Optional context: any

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:31

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:35

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:32

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:34

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

- ##### contextType: Context<BlueBase>

- ##### displayName: string

### Const DialogTitle

DialogTitle: object = getComponent<DialogTitleProps>('DialogTitle')

- Defined in components/Dialog/_stories_/Dialogcomponent.test.tsx:52
- Defined in components/Dialog/_stories_/Dialogs.stories.tsx:34
- Defined in components/DialogTitle/_stories_/DialogTitle.stories.tsx:9

#### Type declaration

- ##### constructor: function

  - new __type(props: Readonly<any>): object
  - new __type(props: any, context?: any): object
  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:13

    #### Parameters

    - ##### props: Readonly<any>

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:16

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:20

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:17

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:19

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:28

    #### Parameters

    - ##### props: any

    - ##### Optional context: any

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:31

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:35

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:32

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:34

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

- ##### contextType: Context<BlueBase>

- ##### displayName: string

### Const Divider

Divider: object = getComponent('Divider')

- Defined in components/Divider/Divider.tsx:5
- Defined in components/Divider/__stories__/Divider.stories.tsx:5

#### Type declaration

- ##### constructor: function

  - new __type(props: Readonly<any>): object
  - new __type(props: any, context?: any): object
  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:13

    #### Parameters

    - ##### props: Readonly<any>

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:16

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:20

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:17

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:19

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:28

    #### Parameters

    - ##### props: any

    - ##### Optional context: any

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:31

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:35

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:32

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:34

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

- ##### contextType: Context<BlueBase>

- ##### displayName: string

### Const DrawerContext

DrawerContext: Context<DrawerActionsObject> = React.createContext(undefined as any)

- Defined in components/DrawerLayout/DrawerContext.ts:4

### Const DrawerLayout

DrawerLayout: ComponentClass<DrawerLayoutProps, any> | FunctionComponent<DrawerLayoutProps> = withPropsStyles(styles)(DrawerLayoutComponent) as React.ComponentType<DrawerLayoutProps>

- Defined in components/DrawerLayout/DrawerLayout.tsx:103

### Const DrawerSection

DrawerSection: object = getComponent<DrawerSectionProps>('DrawerSection')

- Defined in components/DrawerSection/DrawerSection.tsx:7
- Defined in components/DrawerSection/__stories__/DrawerSection.stories.tsx:10

#### Type declaration

- ##### constructor: function

  - new __type(props: Readonly<any>): object
  - new __type(props: any, context?: any): object
  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:13

    #### Parameters

    - ##### props: Readonly<any>

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:16

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:20

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:17

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:19

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:28

    #### Parameters

    - ##### props: any

    - ##### Optional context: any

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:31

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:35

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:32

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:34

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

- ##### contextType: Context<BlueBase>

- ##### displayName: string

### Const IconButton

IconButton: ComponentClass<IconButtonProps, any> | FunctionComponent<IconButtonProps> = componentMapper<IconButtonProps>(MUIIconButton, {accessibilityLabel: ({ accessibilityLabel }: IconButtonProps) => accessibilityLabel,children: ({ name, size, color }) => <Icon name={name} size={size} color={color} />,disabled: ({ disabled }: IconButtonProps) => disabled,onClick: 'onPress',}, { rest: true, ignore: ['color'] })

- Defined in components/IconButton/IconButton.tsx:6

### Const Image

Image: object = getComponent('Image')

- Defined in components/Dialog/_stories_/Dialogs.stories.tsx:28

#### Type declaration

- ##### constructor: function

  - new __type(props: Readonly<any>): object
  - new __type(props: any, context?: any): object
  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:13

    #### Parameters

    - ##### props: Readonly<any>

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:16

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:20

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:17

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:19

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:28

    #### Parameters

    - ##### props: any

    - ##### Optional context: any

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:31

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:35

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:32

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:34

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

- ##### contextType: Context<BlueBase>

- ##### displayName: string

### Const List

List: object = getComponent<ListProps>('List')

- Defined in components/List/List.tsx:12
- Defined in components/List/__stories__/List.stories.tsx:10

#### Type declaration

- ##### constructor: function

  - new __type(props: Readonly<any>): object
  - new __type(props: any, context?: any): object
  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:13

    #### Parameters

    - ##### props: Readonly<any>

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:16

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:20

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:17

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:19

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:28

    #### Parameters

    - ##### props: any

    - ##### Optional context: any

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:31

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:35

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:32

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:34

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

- ##### contextType: Context<BlueBase>

- ##### displayName: string

### Const ListAvatar

ListAvatar: ComponentClass<AvatarProps, any> | FunctionComponent<AvatarProps> = Avatar

- Defined in components/ListAvatar/ListAvatar.tsx:3

### Const ListSubheader

ListSubheader: object = getComponent('ListSubheader')

- Defined in components/ListSubheader/ListSubheader.tsx:3
- Defined in components/List/__stories__/List.stories.tsx:11
- Defined in components/ListSubheader/__stories__/ListSubheader.stories.tsx:7

#### Type declaration

- ##### constructor: function

  - new __type(props: Readonly<any>): object
  - new __type(props: any, context?: any): object
  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:13

    #### Parameters

    - ##### props: Readonly<any>

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:16

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:20

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:17

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:19

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:28

    #### Parameters

    - ##### props: any

    - ##### Optional context: any

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:31

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:35

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:32

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:34

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

- ##### contextType: Context<BlueBase>

- ##### displayName: string

### Const Menu

Menu: object = getComponent<MenuProps>('Menu')

- Defined in components/Menu/Menu.tsx:7
- Defined in components/Menu/_stories_/Menu.stories.tsx:9

#### Type declaration

- ##### constructor: function

  - new __type(props: Readonly<any>): object
  - new __type(props: any, context?: any): object
  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:13

    #### Parameters

    - ##### props: Readonly<any>

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:16

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:20

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:17

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:19

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:28

    #### Parameters

    - ##### props: any

    - ##### Optional context: any

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:31

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:35

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:32

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:34

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

- ##### contextType: Context<BlueBase>

- ##### displayName: string

### Const MenuItem

MenuItem: object = getComponent<MenuItemProps>('MenuItem')

- Defined in components/Menu/MenuItem.tsx:5
- Defined in components/Menu/_stories_/Menu.stories.tsx:8

#### Type declaration

- ##### constructor: function

  - new __type(props: Readonly<any>): object
  - new __type(props: any, context?: any): object
  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:13

    #### Parameters

    - ##### props: Readonly<any>

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:16

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:20

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:17

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:19

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:28

    #### Parameters

    - ##### props: any

    - ##### Optional context: any

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:31

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:35

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:32

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:34

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

- ##### contextType: Context<BlueBase>

- ##### displayName: string

### Const Radio

Radio: object = getComponent<RadioProps>('Radio')

- Defined in components/Radio/Radio.tsx:59
- Defined in components/Radio/__stories__/Radio.stories.tsx:11

#### Type declaration

- ##### constructor: function

  - new __type(props: Readonly<any>): object
  - new __type(props: any, context?: any): object
  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:13

    #### Parameters

    - ##### props: Readonly<any>

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:16

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:20

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:17

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:19

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:28

    #### Parameters

    - ##### props: any

    - ##### Optional context: any

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:31

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:35

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:32

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:34

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

- ##### contextType: Context<BlueBase>

- ##### displayName: string

### Const RadioGroup

RadioGroup: ComponentClass<RadioGroupProps, any> | FunctionComponent<RadioGroupProps> = componentMapper<RadioGroupProps>(MuiRadioGroup, {onChange: ({ onChange, onValueChange }: any) => (event: any, value: string | number | boolean) => {if (onChange) {onChange(event, value);}if (onValueChange) {onValueChange(value);}}}, {ignore: ['onValueChange'],rest: true,render(props: any, Component: any) {const { helperText, label, ...rest } = props;return (<FormControl component="fieldset">{label ? <FormLabel component="legend">{label}</FormLabel> : null}<Component {...rest} />{helperText ? <FormHelperText>{helperText}</FormHelperText> : null}</FormControl>);}})

- Defined in components/RadioGroup/RadioGroup.tsx:9

### Const Slider

Slider: ComponentClass<SliderProps, any> | FunctionComponent<SliderProps> = withStyles(styles)(componentMapper<SliderProps>(MUISlider, {max: 'maximumValue',min: 'minimumValue',onChange: ({ onChange, onValueChange }: any) => (event: any, value: number) => {if (onChange) {onChange(event, value);}if (onValueChange) {onValueChange(value);}}}, {ignore: ['onValueChange'],rest: true,render(newProps: any, Component: any) {const {error,helperText,id,label,required,classes,showValue,...props} = newProps;const formControlProps = {error,required,};// Labellet labelNode: React.ReactNode = null;// Render a simple labelif (label && !showValue) {labelNode = <FormLabel className={classes.label} htmlFor={id}>{label}</FormLabel>;}// If we have label and show value, then we show value in line with the labelelse if (label && showValue) {labelNode = (<div className={classes.labelWrapper}><FormLabel className={classes.label} htmlFor={id}>{label}</FormLabel><FormLabel className={classes.value}>{props.value}</FormLabel></div>);}let sliderNode = <Component id={id} {...props} />;// If theres no label then we show value in line with the sliderif (!label && showValue) {sliderNode = (<div className={classes.sliderWrapper}><div className={classes.inlineSlider}>{sliderNode}</div><FormLabel className={classes.inlineValue}>{props.value}</FormLabel></div>);}return (<FormControl {...formControlProps}>{labelNode}{sliderNode}{helperText ? <FormHelperText className={classes.helperText}>{helperText}</FormHelperText> : null}</FormControl>);}})) as React.ComponentType<SliderProps>

- Defined in components/Slider/Slider.tsx:39

### Const Switch

Switch: object = getComponent<SwitchProps>('Switch')

- Defined in components/Switch/Switch.tsx:33
- Defined in components/Switch/__stories__/Switch.stories.tsx:11

#### Type declaration

- ##### constructor: function

  - new __type(props: Readonly<any>): object
  - new __type(props: any, context?: any): object
  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:13

    #### Parameters

    - ##### props: Readonly<any>

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:16

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:20

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:17

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:19

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:28

    #### Parameters

    - ##### props: any

    - ##### Optional context: any

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:31

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:35

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:32

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:34

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

- ##### contextType: Context<BlueBase>

- ##### displayName: string

### Const TextInput

TextInput: object = getComponent<TextInputProps>('TextInput')

- Defined in components/TextInput/TextInput.tsx:5
- Defined in components/TextInput/__stories__/TextInput.stories.tsx:9

#### Type declaration

- ##### constructor: function

  - new __type(props: Readonly<any>): object
  - new __type(props: any, context?: any): object
  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:13

    #### Parameters

    - ##### props: Readonly<any>

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:16

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:20

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:17

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:19

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:28

    #### Parameters

    - ##### props: any

    - ##### Optional context: any

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:31

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:35

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:32

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:34

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

- ##### contextType: Context<BlueBase>

- ##### displayName: string

### Const View

View: object = getComponent('View')

- Defined in components/Dialog/_stories_/Dialogs.stories.tsx:27

#### Type declaration

- ##### constructor: function

  - new __type(props: Readonly<any>): object
  - new __type(props: any, context?: any): object
  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:13

    #### Parameters

    - ##### props: Readonly<any>

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:16

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:20

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:17

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:19

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

  - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:28

    #### Parameters

    - ##### props: any

    - ##### Optional context: any

    #### Returns object

    - ##### Optional Component?: ComponentClass<T, any> | FunctionComponent<T> | undefined

    - ##### context: any

    - ##### props: Readonly<object> & Readonly<any>

    - ##### refs: object

      - ##### [key: string]: React.ReactInstance

    - ##### state: Readonly<__type>

    - ##### componentWillMount: function

      - componentWillMount(): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:31

        #### Returns void

    - ##### forceUpdate: function

      - forceUpdate(callBack?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:35

        #### Parameters

        - ##### Optional callBack: function | undefined

        #### Returns void

    - ##### render: function

      - render(): ReactElement<any>
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:32

        #### Returns ReactElement<any>

    - ##### setState: function

      - setState<K>(state: __type | function | Pick<__type, K> | null, callback?: function | undefined): void
      - - Defined in /home/travis/build/BlueBaseJS/plugin-material-ui/node_modules/@bluebase/core/dist/getComponent.d.ts:34

        #### Type parameters

        - #### K: never

        #### Parameters

        - ##### state: __type | function | Pick<__type, K> | null

        - ##### Optional callback: function | undefined

        #### Returns void

- ##### contextType: Context<BlueBase>

- ##### displayName: string

### createElement

createElement: createElement

- Defined in withPropsStyles.tsx:5

### forwardRef

forwardRef: forwardRef

- Defined in withPropsStyles.tsx:5

### Const generateClassName

generateClassName: function = createGenerateClassName()

- Defined in withRtl.tsx:16

#### Type declaration

- - (rule: Rule, sheet?: StyleSheet<Name>): string

  - #### Parameters

    - ##### rule: Rule

    - ##### Optional sheet: StyleSheet<Name>

    #### Returns string

### Let id

id: number = 0

- Defined in components/Table/_stories_/Table.stories.tsx:10
- Defined in components/Table/_stories_/Tablestories.stories.tsx:21

### Const jss

jss: JSS = create({plugins: [...jssPreset().plugins,rtl() as any]})

- Defined in withRtl.tsx:8

### Const path

path: "https://via.placeholder.com/300/09f.png%20C/O%20https://placeholder.com/" = "https://via.placeholder.com/300/09f.png%20C/O%20https://placeholder.com/"

- Defined in components/Avatar/_test_/Avatar.test.tsx:8

### Const rows

rows: object[] = [createData('Frozen yoghurt', 159, 6.0, 24, 4.0),createData('Ice cream sandwich', 237, 9.0, 37, 4.3),createData('Eclair', 262, 16.0, 24, 6.0),createData('Cupcake', 305, 3.7, 67, 4.3),createData('Gingerbread', 356, 16.0, 49, 3.9),]

- Defined in components/Table/_stories_/Table.stories.tsx:16
- Defined in components/Table/_stories_/Tablestories.stories.tsx:27

### Const stories

stories: any = storiesOf('TextInput', module)

- Defined in components/Avatar/_stories_/Avatar.stories.tsx:12
- Defined in components/Badge/__stories__/Badge.stories.tsx:12
- Defined in components/BottomNavigation/__stories__/BottomNavigation.stories.tsx:7
- Defined in components/BottomNavigationAction/__stories__/BottomNavigationAction.stories.tsx:7
- Defined in components/Button/__stories__/Button.stories.tsx:11
- Defined in components/Card/_stories_/Card.stories.tsx:24
- Defined in components/CardActions/_stories_/CardAction.stories.tsx:16
- Defined in components/CardContent/_stories_/CardContent.stories.tsx:12
- Defined in components/CardCover/_stories_/CardCover.stories.tsx:12
- Defined in components/CardHeader/_stories_/CardHeader.stories.tsx:16
- Defined in components/Checkbox/__stories__/Checkbox.stories.tsx:13
- Defined in components/DialogAction/_stories_/DialogAction.stories.tsx:12
- Defined in components/DialogContent/_stories_/DialogContent.stories.tsx:12
- Defined in components/DialogTitle/_stories_/DialogTitle.stories.tsx:11
- Defined in components/DrawerItem/__stories__/DrawerItem.stories.tsx:11
- Defined in components/DrawerLayout/__stories__/DrawerLayout.stories.tsx:16
- Defined in components/DrawerSection/__stories__/DrawerSection.stories.tsx:12
- Defined in components/IconButton/__stories__/IconButton.stories.tsx:10
- Defined in components/List/__stories__/List.stories.tsx:13
- Defined in components/ListItem/__stories__/ListItem.stories.tsx:10
- Defined in components/ListSubheader/__stories__/ListSubheader.stories.tsx:9
- Defined in components/Menu/_stories_/Menu.stories.tsx:12
- Defined in components/Picker/__stories__/Picker.stories.tsx:38
- Defined in components/Radio/__stories__/Radio.stories.tsx:13
- Defined in components/RadioGroup/__stories__/RadioGroup.stories.tsx:36
- Defined in components/Slider/__stories__/Slider.stories.tsx:32
- Defined in components/Switch/__stories__/Switch.stories.tsx:13
- Defined in components/Tab/__stories__/Tab.stories.tsx:9
- Defined in components/Table/_stories_/Table.stories.tsx:9
- Defined in components/TableBody/__stories__/TableBody.stories.tsx:5
- Defined in components/TableCell/__Stories__/TableCell.stories.tsx:5
- Defined in components/TableFooter/__stories__/TableFooter.stories.tsx:5
- Defined in components/TableHead/__stories__/TableHeader.stories.tsx:5
- Defined in components/TablePagination/__stories__/TablePagination.stories.tsx:5
- Defined in components/TableRow/__stories__/TableRow.stories.tsx:5
- Defined in components/TableTitle/__stories__/TableTitle.stories.tsx:5
- Defined in components/Tabs/__stories__/Tabs.stories.tsx:12
- Defined in components/TextInput/__stories__/TextInput.stories.tsx:11

## Functions

### Const Avatar

- Avatar(props: AvatarProps): Element

- - Defined in components/Avatar/Avatar.tsx:7

  #### Parameters

  - ##### props: AvatarProps

  #### Returns Element

### Const Card

- Card(props: CardProps): Element

- - Defined in components/Card/index.tsx:6

  #### Parameters

  - ##### props: CardProps

  #### Returns Element

### Const DrawerActions

- DrawerActions(props: DrawerActionsProps): FunctionComponentElement<ConsumerProps<DrawerActionsObject>>

- - Defined in components/DrawerLayout/DrawerContext.ts:8

  #### Parameters

  - ##### props: DrawerActionsProps

  #### Returns FunctionComponentElement<ConsumerProps<DrawerActionsObject>>

### Const DrawerContent

- DrawerContent(): Element

- - Defined in components/DrawerLayout/__stories__/DrawerLayout.stories.tsx:21

  #### Returns Element

### Const DrawerItem

- DrawerItem(props: DrawerItemProps): Element

- - Defined in components/DrawerItem/DrawerItem.tsx:6

  #### Parameters

  - ##### props: DrawerItemProps

  #### Returns Element

### Const ListIcon

- ListIcon(__namedParameters: object): Element

- - Defined in components/ListIcon/ListIcon.tsx:13

  #### Parameters

  - ##### __namedParameters: object

    - ##### rest: rest

    - ##### styles: object

  #### Returns Element

### Const ListItem

- ListItem(props: ListItemProps): Element

- - Defined in components/ListItem/ListItem.tsx:6

  #### Parameters

  - ##### props: ListItemProps

  #### Returns Element

### MenuText

- MenuText(): Element

- - Defined in components/Menu/_stories_/Menu.stories.tsx:70

  #### Returns Element

### Const Picker

- Picker(props: PickerProps & object): Element

- - Defined in components/Picker/Picker.tsx:29

  #### Parameters

  - ##### props: PickerProps & object

  #### Returns Element

### Const PickerItem

- PickerItem(__namedParameters: object): Element

- - Defined in components/PickerItem/PickerItem.tsx:4

  #### Parameters

  - ##### __namedParameters: object

    - ##### label: string

    - ##### rest: rest

  #### Returns Element

### RecipeReviewCard

- RecipeReviewCard(): Element

- - Defined in components/Card/_stories_/Card.stories.tsx:36

  #### Returns Element

### SimpleDialog

- SimpleDialog(props: Ipropsss): Element

- - Defined in components/Dialog/_stories_/Dialogcomponent.test.tsx:62

  #### Parameters

  - ##### props: Ipropsss

  #### Returns Element

### SimpleDialogDemo

- SimpleDialogDemo(): Element

- - Defined in components/Dialog/_stories_/Dialogcomponent.test.tsx:105

  #### Returns Element

### SimpleMenu

- SimpleMenu(): Element

- - Defined in components/Menu/_stories_/Menu.stories.tsx:36

  #### Returns Element

### SimpleTable

- SimpleTable(props: object): Element

- - Defined in components/Table/_stories_/Tablestories.stories.tsx:35

  #### Parameters

  - ##### props: object

    - ##### classes: any

  #### Returns Element

### Const Tab

- Tab(props: any): Element

- - Defined in components/Tab/Tab.tsx:10

  #### Parameters

  - ##### props: any

  #### Returns Element

### Const Table

- Table(props: TableProps): Element

- - Defined in components/Table/Table.tsx:5

  #### Parameters

  - ##### props: TableProps

  #### Returns Element

### Const TableBody

- TableBody(props: TableBodyProps): Element

- - Defined in components/TableBody/TableBody.tsx:5

  #### Parameters

  - ##### props: TableBodyProps

  #### Returns Element

### Const TableCell

- TableCell(props: TableCellProps): Element

- - Defined in components/TableCell/TableCell.tsx:5

  #### Parameters

  - ##### props: TableCellProps

  #### Returns Element

### Const TableFooter

- TableFooter(props: TableFooterProps): Element

- - Defined in components/TableFooter/TableFooter.tsx:4

  #### Parameters

  - ##### props: TableFooterProps

  #### Returns Element

### Const TableHead

- TableHead(props: TableHeadProps): Element

- - Defined in components/TableHead/TableHead.tsx:4

  #### Parameters

  - ##### props: TableHeadProps

  #### Returns Element

### Const TablePagination

- TablePagination(props: TablePaginationProps): Element

- - Defined in components/TablePagination/TablePagination.tsx:5

  #### Parameters

  - ##### props: TablePaginationProps

  #### Returns Element

### Const TableRow

- TableRow(props: TableRowProps): Element

- - Defined in components/TableRow/TableRow.tsx:4

  #### Parameters

  - ##### props: TableRowProps

  #### Returns Element

### Const TableTitle

- TableTitle(props: TableTitleProps): Element

- - Defined in components/TableTitle/TableTitle.tsx:4

  #### Parameters

  - ##### props: TableTitleProps

  #### Returns Element

### Const Tabs

- Tabs(props: any): Element

- - Defined in components/Tabs/Tabs.tsx:9

  #### Parameters

  - ##### props: any

  #### Returns Element

### Const TabsComponent

- TabsComponent(_props: any): Element

- - Defined in components/Tabs/__stories__/TabsComponent.tsx:7

  #### Parameters

  - ##### _props: any

  #### Returns Element

### createData

- createData(name: string, calories: number, fat: number, carbs: number, protein: number): object

- - Defined in components/Table/_stories_/Table.stories.tsx:11

  #### Parameters

  - ##### name: string

  - ##### calories: number

  - ##### fat: number

  - ##### carbs: number

  - ##### protein: number

  #### Returns object

  - ##### calories: number

  - ##### carbs: number

  - ##### fat: number

  - ##### id: number

  - ##### name: string

  - ##### protein: number

### getTabUI

- getTabUI(props: any): Element

- - Defined in components/Tab/Tab.tsx:6

  #### Parameters

  - ##### props: any

  #### Returns Element

### getTabsUI

- getTabsUI(props: any): Element

- - Defined in components/Tabs/Tabs.tsx:4

  #### Parameters

  - ##### props: any

  #### Returns Element

### Const navigationView

- navigationView(): Element

- - Defined in components/DrawerLayout/__stories__/DrawerLayout.stories.tsx:37

  #### Returns Element

### Const styles

- styles(props: DrawerLayoutProps, theme: Theme): object
- styles(__namedParameters: object, muiTheme: MuiTheme, theme: Theme): undefined | object
- styles(__namedParameters: object, theme: any): object | object
- styles(__namedParameters: object, theme: any): object | object
- styles(theme: Theme): any
- styles(__namedParameters: object, theme: Theme): object | object
- styles(theme: object): object

- - Defined in components/DrawerLayout/DrawerLayout.tsx:76

  #### Parameters

  - ##### props: DrawerLayoutProps

  - ##### theme: Theme

  #### Returns object

  - ##### content: object

    - ##### flexGrow: number

    - ##### marginLeft: number

    - ##### overflowY: string

    - ##### transition: string

  - ##### contentShift: object

    - ##### marginLeft: undefined | number

    - ##### transition: string

  - ##### drawer: object

    - ##### flexShrink: number

    - ##### width: undefined | number

  - ##### drawerPaper: object

    - ##### position: string

    - ##### width: undefined | number

- - Defined in components/Button/styles.ts:6

  #### Parameters

  - ##### __namedParameters: object

    - ##### color: undefined | string

    - ##### disabled: undefined | false | true

  - ##### muiTheme: MuiTheme

  - ##### theme: Theme

  #### Returns undefined | object

- - Defined in components/Checkbox/Checkbox.tsx:8

  #### Parameters

  - ##### __namedParameters: object

    - ##### color: undefined | string

  - ##### theme: any

  #### Returns object | object

- - Defined in components/Radio/Radio.tsx:8

  #### Parameters

  - ##### __namedParameters: object

    - ##### color: undefined | string

  - ##### theme: any

  #### Returns object | object

- - Defined in components/Slider/Slider.tsx:10

  #### Parameters

  - ##### theme: Theme

  #### Returns any

- - Defined in components/Switch/styles.ts:4

  #### Parameters

  - ##### __namedParameters: object

    - ##### color: undefined | string

  - ##### theme: Theme

  #### Returns object | object

- - Defined in components/Table/_stories_/Tablestories.stories.tsx:10

  #### Parameters

  - ##### theme: object

    - ##### spacing: object

      - ##### unit: number

  #### Returns object

  - ##### root: object

    - ##### marginTop: number

    - ##### overflowX: string

    - ##### width: string

  - ##### table: object

    - ##### minWidth: number

### Const tab3Styles

- tab3Styles(theme: Theme): object

- - Defined in components/Tabs/__stories__/Tabs.stories.tsx:31

  #### Parameters

  - ##### theme: Theme

  #### Returns object

  - ##### root: object

    - ##### backgroundColor: string

    - ##### color: string

### Const tabStyles

- tabStyles(theme: Theme): object

- - Defined in components/Tabs/__stories__/Tabs.stories.tsx:23

  #### Parameters

  - ##### theme: Theme

  #### Returns object

  - ##### root: object

    - ##### backgroundColor: string

    - ##### color: string

### Const tabsStyles

- tabsStyles(_theme: Theme): object

- - Defined in components/Tabs/__stories__/Tabs.stories.tsx:17

  #### Parameters

  - ##### _theme: Theme

  #### Returns object

  - ##### root: object

### Const withPropsStyles

- withPropsStyles(style: any): withPropsStylesInternal

- - Defined in withPropsStyles.tsx:8

  #### Parameters

  - ##### style: any

  #### Returns withPropsStylesInternal

### Const withRTL

- withRTL(Component: React.ComponentType<any>): (Anonymous function)

- - Defined in withRtl.tsx:19

  #### Parameters

  - ##### Component: React.ComponentType<any>

  #### Returns (Anonymous function)

### Const withTheme

- withTheme(Component: React.ComponentType<any>): ReactNativePaperProvider

- - Defined in withTheme.tsx:8

  #### Parameters

  - ##### Component: React.ComponentType<any>

  #### Returns ReactNativePaperProvider

## Object literals

### Const fieldMap

fieldMap: object

- Defined in components/Picker/Picker.tsx:12

### value

value: string = "selectedValue"

- Defined in components/Picker/Picker.tsx:15

### displayEmpty

- displayEmpty(__namedParameters: object): boolean

- - Defined in components/Picker/Picker.tsx:13

  #### Parameters

  - ##### __namedParameters: object

    - ##### placeholder: undefined | string

  #### Returns boolean

### native

- native(__namedParameters: object): boolean

- - Defined in components/Picker/Picker.tsx:14

  #### Parameters

  - ##### __namedParameters: object

    - ##### mode: undefined | "dialog" | "default" | "dropdown"

  #### Returns boolean

### onChange

- onChange(__namedParameters: object): (Anonymous function)

- - Defined in components/Picker/Picker.tsx:17

  #### Parameters

  - ##### __namedParameters: object

    - ##### onChange: any

    - ##### onValueChange: any

  #### Returns (Anonymous function)

### Const map

map: object

- Defined in components/Checkbox/Checkbox.tsx:37
- Defined in components/Radio/Radio.tsx:37
- Defined in components/Switch/Switch.tsx:11

### color

- color(__namedParameters: object): undefined | "primary" | "secondary" | "default"
- color(__namedParameters: object): undefined | "primary" | "secondary" | "default"
- color(__namedParameters: object): undefined | "primary" | "secondary" | "default"

- - Defined in components/Checkbox/Checkbox.tsx:39

  #### Parameters

  - ##### __namedParameters: object

    - ##### color: undefined | string

  #### Returns undefined | "primary" | "secondary" | "default"

- - Defined in components/Radio/Radio.tsx:39

  #### Parameters

  - ##### __namedParameters: object

    - ##### color: undefined | string

  #### Returns undefined | "primary" | "secondary" | "default"

- - Defined in components/Switch/Switch.tsx:13

  #### Parameters

  - ##### __namedParameters: object

    - ##### color: undefined | string

  #### Returns undefined | "primary" | "secondary" | "default"

### onChange

- onChange(__namedParameters: object): (Anonymous function)
- onChange(__namedParameters: object): (Anonymous function)
- onChange(__namedParameters: object): (Anonymous function)

- - Defined in components/Checkbox/Checkbox.tsx:47

  #### Parameters

  - ##### __namedParameters: object

    - ##### onChange: any

    - ##### onValueChange: any

  #### Returns (Anonymous function)

- - Defined in components/Radio/Radio.tsx:47

  #### Parameters

  - ##### __namedParameters: object

    - ##### onChange: any

    - ##### onValueChange: any

  #### Returns (Anonymous function)

- - Defined in components/Switch/Switch.tsx:21

  #### Parameters

  - ##### __namedParameters: object

    - ##### onChange: any

    - ##### onValueChange: any

  #### Returns (Anonymous function)

Generated using TypeDoc